Subject: bug#58424: [PATCH] Ensure emacs-pgtk does not get stuck after iconify-frame

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Tue, 11 Oct 2022 09:34:59 +0530

> forcemerge 55836 58424

oops, looks like I missed this discussion.

Thanks for working on this, I will wait for a fix.

On Tue, Oct 11, 2022 at 9:11 AM Po Lu <[email-masked]> wrote:

> forcemerge 55836 58424
>
> समीर सिंह Sameer Singh <[email-masked]> writes:
>
> > On Tue, Oct 11, 2022 at 6:11 AM समीर सिंह Sameer Singh <
> [email-masked]> wrote:
> >
> >  steps to reproduce
> >  1. configure emacs to use pgtk
> >  2. emacs -Q
> >  3. C-z or M-x iconify-frame
> >  4. Restore emacs by clicking on its icon
> >  Emacs does not display characters any more.
> >
> >  I believe this bug is similar to bug#42655 except this time it is for
> pgtk and not lucid.
> >
> >  I believe I have fixed this problem and will attach a patch in the next
> mail, but the thing is I have no idea how I fixed it so please check for
> any unintended
> >  consequences.
>
> This is definitely not the right fix.
>
> I'm still looking into that problem, and will definitely fix it before
> November.
>